# Generated by ariadne-codegen on 2023-11-12 18:51
# Source: https://churros.inpt.fr/graphql

from typing import Any, List, Optional

from pydantic import Field

from .base_model import BaseModel
from .enums import PaymentMethod


class LinkInput(BaseModel):
    name: str
    value: str


class ManagerOfEventInput(BaseModel):
    can_edit: bool = Field(alias="canEdit")
    can_edit_permissions: bool = Field(alias="canEditPermissions")
    can_verify_registrations: bool = Field(alias="canVerifyRegistrations")
    user_uid: str = Field(alias="userUid")


class NotificationSubscriptionKeysInput(BaseModel):
    auth: str
    p256dh: str


class SchoolInput(BaseModel):
    color: str
    id: Optional[str] = None
    name: str


class TicketGroupInput(BaseModel):
    capacity: int
    id: Optional[str] = None
    name: str


class TicketInput(BaseModel):
    allowed_payment_methods: List[PaymentMethod] = Field(alias="allowedPaymentMethods")
    autojoin_groups: List[str] = Field(alias="autojoinGroups")
    capacity: int
    closes_at: Optional[Any] = Field(alias="closesAt", default=None)
    description: str
    godson_limit: int = Field(alias="godsonLimit")
    group_name: Optional[str] = Field(alias="groupName", default=None)
    id: Optional[str] = None
    links: List["LinkInput"]
    name: str
    only_managers_can_provide: bool = Field(alias="onlyManagersCanProvide")
    open_to_alumni: Optional[bool] = Field(alias="openToAlumni", default=None)
    open_to_apprentices: Optional[bool] = Field(alias="openToApprentices", default=None)
    open_to_contributors: Optional[bool] = Field(
        alias="openToContributors", default=None
    )
    open_to_external: Optional[bool] = Field(alias="openToExternal", default=None)
    open_to_groups: List[str] = Field(alias="openToGroups")
    open_to_majors: List[str] = Field(alias="openToMajors")
    open_to_promotions: List[int] = Field(alias="openToPromotions")
    open_to_schools: List[str] = Field(alias="openToSchools")
    opens_at: Optional[Any] = Field(alias="opensAt", default=None)
    price: float


LinkInput.model_rebuild()
ManagerOfEventInput.model_rebuild()
NotificationSubscriptionKeysInput.model_rebuild()
SchoolInput.model_rebuild()
TicketGroupInput.model_rebuild()
TicketInput.model_rebuild()
